#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

//Programa de integracion por Gauss - Chebychev;

inline double
fun(double x)
{
//funcion a integrar en[-1, 1] dividida por el peso sqrt(1 - x * x) ^ -1
    return asin(x);
}

int main(void)
{
    double s = 0., x;
    double pi = 4 * atan(1.);
    int n = 48;
//Numero de puntos de integracion
    cout.precision(16);
    for (int i = 0; i < n; i++) {
        x = cos((2 * i + 1.) * pi / (2 * n));
        s = s + fun(x);
    }
    s = s * pi / n;
    cout << setw(20) << "integral=" << setw(20) << s << endl;
    //    cout << setw(20) << "exacto=" << setw(20) << 4 / pi << endl;
    return 0;
}
